Summary: Lout text formatting system
Name: lout
Version: 3.08
Release: 3
Group: Applications/Publishing
Icon: lout.gif
Source: ftp://ftp.cs.su.oz.au/jeff/lout.3.08.tar.gz
Patch: lout-3.08-make.patch
Copyright: GPL
Summary(de): Lout Textformatierungssystem 
Summary(fr): Systme de formatage de texte Lout
Summary(tr): Lout metin biimleme sistemi

%changelog
* Fri May 08 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
The Lout system reads a high-level description of a document similar
in style to LaTeX and produces a PostScript file which can be printed
on many laser printers and graphic display devices.  Plain text output
is also available.

Lout offers an unprecedented range of advanced features, including
optimal paragraph and page breaking, automatic hyphenation, PostScript
EPS file inclusion and generation, equation formatting, tables, diagrams,
rotation and scaling, sorted indexes, bibliographic databases, running
headers and odd-even pages, automatic cross referencing, multilingual
documents including hyphenation (most European languages are supported,
including Russian), formatting of C/C++ programs, and much more, all
ready to use.  Furthermore, Lout is easily extended with definitions
which are very much easier to write than troff of TeX macros because
Lout is a high-level language, the outcome of an eight-year research
project that went back to the beginning.

%package doc
Summary: Full lout documentation
Group: Applications/Publishing
Summary(de): Komplette Lout-Dokumentation 
Summary(fr): Documentation complte de Lout
Summary(tr): lout belgeleri

%description doc
This package includes the complete Lout documentation, including
the "user" and "expert" manuals, written in Lout and with PostScript
output.  Good examples of writing large docs with Lout.

%description -l de
Das Lout-System liest eine High-Level-Beschreibung eines Dokuments
im LaTex-Stil und erzeugt eine PostScript-Datei, die auf vielen Laserdruckern
und Grafikanzeigegerten ausgegeben werden kann. Auf Wunsch ist auch
reine Textausgabe mglich.

Lout bietet eine bislang unerreichte Auswahl an fortgeschrittenen Funktionen, u.a.
optimalen Umbruch von Abstzen und Seiten, autom. Silbentrennung, PostScript-
EPS-Datei-Integration sowie Erstellen und Formatieren von Gleichungen, Tabellen,
Diagrammen, Drehen und Skalieren, Index-Sortierung, bibliographische Datenbanken,
Kopfleisten und linke und rechte Seiten, autom. Querverweise, mehrsprachige Dokumente
einschlielich Silbentrennung (Untersttzung der meisten europischen Sprachen,
inkl. Russisch), Formatieren von C/C++-Programmen und vieles mehr - alles sofort
einsatzbereit. Auerdem lt sich Lout ohne weiteres durch Definitionen erweitern, die sehr
viel einfacher zu schreiben sind als troff oder TeX-Makros, da Lout eine High-Level-
Sprache ist und das Ergebnis von 8 Jahren Forschungsarbeit.

%description -l fr
Le systme Lout lit une description de haut-niveau d'un document, du
style LaTeX, et produit un fichier PostScript pouvant tre imprim
sur la plupart des imprimantes laser ou sur la plupart des priphriques
graphiques. La sortie en texte plein est galement possible.

Lout offre une gamme de possibilits sans prcdent, dont un dcoupage 
par page ou paragraphe optimal, inclusion ou gnration de fichiers
PostScript EPS, formattage d'quations, bases de donnes bibliographiques
formattage de programmes C/C++, et bien plus encore. De plus Lout est
facilement extensible avec des dfinitions bien plus simple que des macros
groff ou TeX, car Lout est un langage de haut-niveau, l'aboutissement de
huit ans de recherches revenues  leur dbut.

%description -l tr
Lout sistemi, LaTeX'e benzer ekilde, bir belgenin yksek dzeyli tanmn
alr ve PostScript'e evirir. Satr sonlarnda hece blme, denklem yazm,
tablo ve diagram hazrlanmas, dizin ve apraz bavurularn ynetimi gibi
yetenekleri vardr.

%prep
%setup -n lout.3.08
%patch -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" lout
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" c2lout

%install
rm -rf /usr/lib/lout
rm -rf /usr/doc/lout
make install
make installman
make installdoc
for i in user slides expert design; do
    chmod 755 /usr/doc/lout/$i
done
strip /usr/bin/lout /usr/bin/c2lout

%files
%doc blurb README maillist whatsnew notes.dsc
/usr/bin/lout
/usr/man/man1/lout.1
/usr/bin/c2lout
/usr/man/man1/c2lout.1
/usr/lib/lout

%files doc
/usr/doc/lout
